Summary: Satellite prediction software for KDE
Name: ktrack
Version: 0.3.0
Release: 15.rc1%{?dist}
License: GPL
Group: Applications/Communications
Source: http://prdownloads.sourceforge.net/ktrack/ktrack-0.3.0-rc1.tar.bz2
Patch: ktrack-headers.patch
BuildRequires: desktop-file-utils kdelibs-devel >= 3.3 hamlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
K-Track is an KDE3 satellite prediction software, especially suited for radio
amateurs operating through the satellites that are providing linear
transponders.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-rc1
%patch -p 1 -b .headers

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath \
    --with-qt-libraries=${QTDIR}/lib --with-qt-includes=${QTDIR}/include
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category HamRadio \
  --add-category KDE \
  ktrack/ktrack.desktop
install -D -m 0644 ktrack/hi32-app-ktrack.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/ktrack.png
rm -r $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ktrack
%{_datadir}/applnk/Applications/HamRadio/ktrack.desktop
%{_datadir}/apps/ktrack/earth.jpg
%{_datadir}/apps/ktrack/nasa.tle
%{_datadir}/apps/ktrack/night.jpg
%{_datadir}/icons/hicolor/16x16/apps/ktrack.png
%{_datadir}/icons/hicolor/32x32/apps/ktrack.png
%{_datadir}/icons/locolor/16x16/apps/ktrack.png
%{_datadir}/icons/locolor/32x32/apps/ktrack.png
%{_datadir}/locale/de/LC_MESSAGES/ktrack.mo
%{_datadir}/locale/fr/LC_MESSAGES/ktrack.mo
%{_datadir}/applications/fedora-ktrack.desktop
%{_datadir}/pixmaps/ktrack.png
%doc AUTHORS ChangeLog COPYING README TODO doc/en/index.docbook doc/en/index.cache.bz2

%changelog
* Sat Sep 30 2006 Dennis Gilmore <dennis@ausil.us> - 0.3.0-15.rc1
- rebuild for new hamlib

* Sat Sep 02 2006 Dennis Gilmore <dennis@ausil.us> - 0.3.0-14.rc1
- rebuild for fc6

* Thu Feb 14 2006 Dennis Gilmore <dennis@ausil.us> - 0.3.0-13.rc1
- rebuild for fc5

* Thu Dec 22 2005 Dennis Gilmore <dennis@ausil.us> - 0.3.0-12.rc1
- rebuild for gcc 4.1

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.3.0-11.rc1.fc4
- rebuild on all arches

* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-10.rc1.fc3
- Rebuild against hamlib 1.2.4

* Sat Mar 26 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.3.0-9.rc1.fc4
- Pass Qt library/header location to configure script to work around
  broken Qt detection on x86_64.

* Mon Mar 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-8.rc1
- Use $QTDIR instead of hard-coding paths

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-7.rc1
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-6.rc1
- Macros in %%changelog are dangerous

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-5.rc1
- Removed explicit hamlib-devel version
 
* Fri Mar 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-4.rc1
- Added --disable-rpath to %%configure

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-3.rc1
- Modified %%setup to use -n
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-2.rc1
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.3.0-1.rc1
- Bump release to 1
- Fixed BuildRoot
- Added -with-qt-* options to %%configure

* Mon Jan 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.3.0-0.iva.1.rc1
- Rebuild against hamlib 1.2.3

* Sun Jan  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.3.0-0.iva.0.rc1
- Initial release
